#include <bits/stdc++.h>
using namespace std;
long n,i=1,j,a[1000],c,tong=0,dem=0;
ifstream f1("BOI30.inp");
ofstream f2("BOI30.out");
int main()
{
    f1>>n;
    while(n>0){
        a[i]=n%10;
        n=n/10;
        i++;
    }
    sort(a+1,a+i);
    for(j=i-1;j>=1;j--){
        tong=tong+a[j];
        if(a[j]==0){
            dem++;
        }
    }
    if(tong%3==0 && dem>0){
        for(j=i-1;j>=1;j--){
        f2<<a[j];
        }
    }
    else{
        f2<<-1;
    }
    f1.close();
    f2.close();
}
